KSTARTPERF(1)

NAME
kstartperf - startup time measurement for KDE apps

SYNOPSIS
kstartperf [ generic-options ] command [ command-arguments ]

DESCRIPTION
This manual page documents briefly the kstartperf command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

KStartPerf measures startup time for KDE applications. Specifically, it measures the startup time for command command-arguments. For example, kstartperf konsole will show you the startup time of konsole in milliseconds.

How does it work?

    1. kstartperf sets an environment variable (KSTARTPERF) to the current time.

    2. kstartperf executes the requested command with an LD_PRELOAD library which overrides XMapWindow.

    3. As soon as the app calls XMapWindow (this is the point where we assume that the app has "started up"), the overrided function gets called which calculated the time difference between the current time and the time stored in the KSTARTPERF environment variable. This value is printed to standard error.

    4. The overridden XMapWindow calls the original XMapWindow and everything else continues normally.

This utility is part of the KDE Software Development Kit.

OPTIONS
For a full summary of options, run kstartperf --help.

AUTHOR
KStartPerf was written by Geert Jansen <jansen@kde.org>.
This manual page was written by Ben Burton <benb@acm.org> for the Debian GNU/Linux system (but may be used by others).